## golang-github-lestrrat-go-jwx 1.2.29

=== debian/changelog ===
golang-github-lestrrat-go-jwx (1.2.29-2) unstable; urgency=medium

  * Add patch to fix build failure on 32bit systems

 -- Mathias Gibbens <gibmat@debian.org>  Fri, 26 Jul 2024 22:38:38 +0000

golang-github-lestrrat-go-jwx (1.2.29-1) unstable; urgency=medium

  * Initial release (Closes: #1076589)

 -- Mathias Gibbens <gibmat@debian.org>  Wed, 24 Jul 2024 03:17:50 +0000

## golang-github-lestrrat-go-jwx 1.2.30

=== bench/comparison/Makefile ===
stdlib:
	go test -bench . -benchmem | tee stdlib.txt

goccy:
	go test -bench . -benchmem -tags jwx_goccy | tee goccy.txt

=== bench/performance/Makefile ===
stdlib:
	go test -bench . -benchmem -count 5 -timeout 60m | tee stdlib.txt

goccy:
	go test -bench . -benchmem -count 5 -timeout 60m -tags jwx_goccy | tee goccy.txt

benchstat:
	benchstat -sort -delta stdlib.txt goccy.txt

=== debian/changelog ===
golang-github-lestrrat-go-jwx (1.2.30-1) unstable; urgency=medium

  * New upstream release
    - Drop patches applied upstream

 -- Mathias Gibbens <gibmat@debian.org>  Fri, 02 Aug 2024 08:11:17 +0000

=== debian/control ===
Source: golang-github-lestrrat-go-jwx
Section: golang
Priority: optional
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Mathias Gibbens <gibmat@debian.org>
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-sequence-golang,
               golang-any,
               golang-github-lestrrat-go-backoff-dev,
               golang-github-lestrrat-go-blackmagic-dev,
               golang-github-lestrrat-go-httpcc-dev,
               golang-github-lestrrat-go-iter-dev,
               golang-github-lestrrat-go-option-dev,
               golang-github-pkg-errors-dev,
               golang-github-stretchr-testify-dev,
               golang-golang-x-crypto-dev
Testsuite: autopkgtest-pkg-go
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-lestrrat-go-jwx
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-lestrrat-go-jwx.git
Homepage: https://github.com/lestrrat-go/jwx
XS-Go-Import-Path: github.com/lestrrat-go/jwx

Package: golang-github-lestrrat-go-jwx-dev
Architecture: all
Multi-Arch: foreign
Depends: golang-github-lestrrat-go-backoff-dev,
         golang-github-lestrrat-go-blackmagic-dev,
         golang-github-lestrrat-go-httpcc-dev,
         golang-github-lestrrat-go-iter-dev,
         golang-github-lestrrat-go-option-dev,
         golang-github-pkg-errors-dev,
         golang-github-stretchr-testify-dev,
         golang-golang-x-crypto-dev,
         ${misc:Depends}
Description: Implementation of various JWx technologies (library)
 Go module implementing various JWx (JWA/JWE/JWK/JWS/JWT, otherwise known
 as JOSE) technologies.
 .
 Features:
 .
  * Complete coverage of JWA/JWE/JWK/JWS/JWT, not just JWT+minimum tool
    set.
  * Opinionated, but very uniform API. Everything is symmetric, and
    follows a standard convention
  * Extra utilities

=== debian/rules ===
#!/usr/bin/make -f

# Don't build various binaries or examples
export DH_GOLANG_EXCLUDES := cmd/jwx internal/cmd examples

%:
	dh $@ --builddirectory=_build --buildsystem=golang

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%,\
      uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/$1~$2$3/" \
  https://github.com/lestrrat-go/jwx/tags .*/v?(1\.\d\S*)\.tar\.gz debian

## golang-github-lestrrat-go-jwx 2.1.3

=== debian/changelog ===
golang-github-lestrrat-go-jwx (2.1.3-2) unstable; urgency=medium

  * Add patch to fix test failures with go 1.24 (Closes: #1098557)
  * Update Standards-Version to 4.7.1 (no changes needed)
  * Update years in d/copyright

 -- Mathias Gibbens <gibmat@debian.org>  Sun, 23 Feb 2025 17:42:50 +0000

golang-github-lestrrat-go-jwx (2.1.3-1) unstable; urgency=medium

  * Team upload.
  * watch: Look for v2 branch.
  * New upstream version 2.1.3
  * Run wrap-and-sort -at.
  * Add B-D on golang-github-lestrrat-go-httprc-dev.
  * Exclude cmd/{genjw,genoptions,genreadfile}.

 -- Simon Josefsson <simon@josefsson.org>  Sat, 30 Nov 2024 14:41:48 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: golang
 Priority: optional
 Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
-Uploaders: Mathias Gibbens <gibmat@debian.org>
+Uploaders: Mathias Gibbens <gibmat@debian.org>,
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-golang,
@@ -10,13 +10,14 @@
                golang-github-lestrrat-go-backoff-dev,
                golang-github-lestrrat-go-blackmagic-dev,
                golang-github-lestrrat-go-httpcc-dev,
+               golang-github-lestrrat-go-httprc-dev,
                golang-github-lestrrat-go-iter-dev,
                golang-github-lestrrat-go-option-dev,
                golang-github-pkg-errors-dev,
                golang-github-stretchr-testify-dev,
-               golang-golang-x-crypto-dev
+               golang-golang-x-crypto-dev,
 Testsuite: autopkgtest-pkg-go
-Standards-Version: 4.7.0
+Standards-Version: 4.7.1
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-lestrrat-go-jwx
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-lestrrat-go-jwx.git
 Homepage: https://github.com/lestrrat-go/jwx
@@ -28,12 +29,13 @@
 Depends: golang-github-lestrrat-go-backoff-dev,
          golang-github-lestrrat-go-blackmagic-dev,
          golang-github-lestrrat-go-httpcc-dev,
+         golang-github-lestrrat-go-httprc-dev,
          golang-github-lestrrat-go-iter-dev,
          golang-github-lestrrat-go-option-dev,
          golang-github-pkg-errors-dev,
          golang-github-stretchr-testify-dev,
          golang-golang-x-crypto-dev,
-         ${misc:Depends}
+         ${misc:Depends},
 Description: Implementation of various JWx technologies (library)
  Go module implementing various JWx (JWA/JWE/JWK/JWS/JWT, otherwise known
  as JOSE) technologies.

## golang-github-lestrrat-go-jwx 2.1.4

=== bench/comparison/Makefile ===
--- 
+++ 
@@ -4,3 +4,6 @@
 goccy:
 	go test -bench . -benchmem -tags jwx_goccy | tee goccy.txt
 
+asmbase64:
+	go test -bench . -benchmem -tags jwx_asmbase64 | tee asmbase64.txt
+

=== bench/performance/Makefile ===
stdlib:
	go test -bench . -benchmem -count 5 -timeout 60m | tee stdlib.txt

goccy:
	go test -bench . -benchmem -count 5 -timeout 60m -tags jwx_goccy | tee goccy.txt

asmbase64:
	go test -bench . -benchmem -count 5 -timeout 60m -tags jwx_asmbase64 | tee asmbase64.txt

goccy-asmbase64:
	go test -bench . -benchmem -count 5 -timeout 60m -tags jwx_goccy,jwx_asmbase64 | tee goccy-asmbase64.txt

benchstat:
	benchstat stdlib.txt goccy.txt

=== debian/changelog ===
golang-github-lestrrat-go-jwx (2.1.4-1) unstable; urgency=medium

  * New upstream release
    - Drop patch after upstream fixes for go 1.24
  * Update Standards-Version to 4.7.2 in d/control (no changes needed)

 -- Mathias Gibbens <gibmat@debian.org>  Thu, 20 Mar 2025 22:59:57 +0000

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
                golang-github-stretchr-testify-dev,
                golang-golang-x-crypto-dev,
 Testsuite: autopkgtest-pkg-go
-Standards-Version: 4.7.1
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-lestrrat-go-jwx
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-lestrrat-go-jwx.git
 Homepage: https://github.com/lestrrat-go/jwx

=== debian/rules ===
#!/usr/bin/make -f

# Don't build various binaries or examples
export DH_GOLANG_EXCLUDES := cmd/jwx internal/cmd examples cmd/genjw cmd/genoptions cmd/genreadfile

%:
	dh $@ --builddirectory=_build --buildsystem=golang

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%,\
      uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/$1~$2$3/" \
  https://github.com/lestrrat-go/jwx/tags .*/v?(2\.\d\S*)\.tar\.gz debian

## golang-github-lestrrat-go-jwx 3.0.12

=== debian/changelog ===
golang-github-lestrrat-go-jwx (3.0.12-1) unstable; urgency=medium

  * Team upload
  * Upload to unstable
  * Adjust Breaks versioning

 -- Simon Josefsson <simon@josefsson.org>  Wed, 11 Feb 2026 12:55:47 +0100

golang-github-lestrrat-go-jwx (3.0.12-1~exp0) experimental; urgency=medium

  * Team upload

  [ Mathias Gibbens ]
  * New upstream release (Closes: #1121273)
  * d/control:
    - Update Build-Depends and Depends
    - Add Breaks for affected packages
    - Drop redundant Rules-Requires-Root
  * Update d/watch to check for latest version

  [ Simon Josefsson ]
  * Use watch v5
  * Add Salsa CI
  * Drop x25519/ from d/copyright (removed upstream)
  * Bump debian/* copyright years
  * Drop Priority: optional
  * Standards-Version: 4.7.3
  * Drop unneeded BSD-3-Clause from d/copyright
  * Enable Salsa rdeps
  * Run wrap-and-sort -abkt

 -- Simon Josefsson <simon@josefsson.org>  Mon, 09 Feb 2026 08:35:42 +0100

=== debian/control ===
Source: golang-github-lestrrat-go-jwx
Section: golang
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Mathias Gibbens <gibmat@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-golang,
               golang-any,
               golang-github-goccy-go-json-dev,
               golang-github-golang-jwt-jwt-v5-dev,
               golang-github-lestrrat-go-blackmagic-dev,
               golang-github-lestrrat-go-dsig-dev,
               golang-github-lestrrat-go-httprc-dev (>= 3.0.1),
               golang-github-lestrrat-go-option-dev (>= 2.0.0),
               golang-github-segmentio-asm-dev,
               golang-github-stretchr-testify-dev,
               golang-github-valyala-fastjson-dev,
               golang-golang-x-crypto-dev,
Testsuite: autopkgtest-pkg-go
Standards-Version: 4.7.3
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-lestrrat-go-jwx
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-lestrrat-go-jwx.git
Homepage: https://github.com/lestrrat-go/jwx
XS-Go-Import-Path: github.com/lestrrat-go/jwx

Package: golang-github-lestrrat-go-jwx-dev
Architecture: all
Multi-Arch: foreign
Breaks: golang-github-microsoft-didx509go-dev (<= 0.0.3-1),
        golang-github-minio-pkg-dev (<= 3.4.2-2),
        golang-github-openpubkey-openpubkey-dev (<= 0.21.0-1),
        golang-github-openpubkey-opkssh-dev (<= 0.10.0-3),
Depends: golang-github-goccy-go-json-dev,
         golang-github-golang-jwt-jwt-v5-dev,
         golang-github-lestrrat-go-blackmagic-dev,
         golang-github-lestrrat-go-dsig-dev,
         golang-github-lestrrat-go-httprc-dev (>= 3.0.1),
         golang-github-lestrrat-go-option-dev (>= 2.0.0),
         golang-github-segmentio-asm-dev,
         golang-github-stretchr-testify-dev,
         golang-github-valyala-fastjson-dev,
         golang-golang-x-crypto-dev,
         ${misc:Depends},
Description: Implementation of various JWx technologies (library)
 Go module implementing various JWx (JWA/JWE/JWK/JWS/JWT, otherwise known
 as JOSE) technologies.
 .
 Features:
 .
  * Complete coverage of JWA/JWE/JWK/JWS/JWT, not just JWT+minimum tool
    set.
  * Opinionated, but very uniform API. Everything is symmetric, and
    follows a standard convention
  * Extra utilities

=== debian/watch ===
Version: 5
Template: Github
Owner: lestrrat-go
Project: jwx

## golang-github-lestrrat-go-jwx 3.0.13

=== debian/changelog ===
golang-github-lestrrat-go-jwx (3.0.13-1) unstable; urgency=medium

  * New upstream release

 -- Mathias Gibbens <gibmat@debian.org>  Sat, 28 Feb 2026 15:48:55 +0000
